Bug 225821 - [NEW PORT] dns/dnscrypt-proxy2: Flexible DNS proxy with support for encrypted protocols
Summary: [NEW PORT] dns/dnscrypt-proxy2: Flexible DNS proxy with support for encrypted...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D14319
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-11 13:06 UTC by Vinícius Zavam
Modified: 2018-03-25 14:49 UTC (History)
2 users (show)

See Also:


Attachments
[NEW PORT] [PATCH] dns/dnscrypt-proxy2: Flexible DNS proxy with support for modern encrypted DNS protocols (14.84 KB, text/plain)
2018-02-11 13:06 UTC, Vinícius Zavam
no flags Details
[LOG] dns/dnscrypt-proxy2: Flexible DNS proxy with support for modern encrypted DNS protocols (11.33 KB, text/x-log)
2018-02-11 13:08 UTC, Vinícius Zavam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2018-02-11 13:06:52 UTC
Created attachment 190506 [details]
[NEW PORT] [PATCH] dns/dnscrypt-proxy2: Flexible DNS proxy with support for modern encrypted DNS protocols

This port is the new version of the DNSCrypt Proxy (dns/dnscrypt-proxy).

It works, as the previous one, "out of the box" and offers DNSSEC validation as well.

Port's rc Script is based on https://www.reddit.com/r/freebsd/comments/7nmrha/supervised_freebsd_rcd_script_for_a_go_daemon/

% portlint -A dns/dnscrypt-proxy2
looks fine.
Comment 1 Vinícius Zavam freebsd_committer 2018-02-11 13:08:02 UTC
Created attachment 190507 [details]
[LOG] dns/dnscrypt-proxy2: Flexible DNS proxy with support for modern encrypted DNS protocols

Poudriere Log (amd64, 11.1-RELEASE)
Comment 2 Vinícius Zavam freebsd_committer 2018-02-28 13:42:25 UTC
Updated to version 2.0.5 (https://reviews.freebsd.org/D14319);

From upstream's CHANGELOG we have: "Fixes a crash occasionally happening when using DoH servers, with stamps not containing any IP addresses, a DNSSEC-signed name, a non-working system DNS configuration, and a fallback server supporting DNSSEC".
Comment 3 commit-hook freebsd_committer 2018-03-25 14:46:36 UTC
A commit references this bug:

Author: dbaio
Date: Sun Mar 25 14:46:18 UTC 2018
New revision: 465521
URL: https://svnweb.freebsd.org/changeset/ports/465521

Log:
  Add dns/dnscrypt-proxy2: Flexible DNS proxy with support for encrypted protocols

  A flexible DNS proxy, with support for modern encrypted DNS protocols such as
  DNSCrypt v2 and DNS-over-HTTP/2.

  WWW: https://github.com/jedisct1/dnscrypt-proxy

  Without a repocopy because it's a new port, rewritten from scratch.

  PR:		225821
  Submitted by:	Vin?cius Zavam <egypcio@googlemail.com>
  Differential Revision:	https://reviews.freebsd.org/D14319

Changes:
  head/dns/Makefile
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy2/
  head/dns/dnscrypt-proxy2/Makefile
  head/dns/dnscrypt-proxy2/distinfo
  head/dns/dnscrypt-proxy2/files/
  head/dns/dnscrypt-proxy2/files/dnscrypt-proxy.in
  head/dns/dnscrypt-proxy2/pkg-descr
  head/dns/dnscrypt-proxy2/pkg-message
  head/dns/dnscrypt-proxy2/pkg-plist
Comment 4 Danilo G. Baio freebsd_committer 2018-03-25 14:49:42 UTC
Committed, thanks Vinícius!